#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - cups_client installation
#
# Creation   :  2023-11-19 holbru
# Last update:  $Id: install.sh 108011 2023-12-02 17:04:55Z hbfl $
#
# Copyright (c) 2023-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=cups_client

# ---------------------------------------------------------------------------
# add menu
# ---------------------------------------------------------------------------
/var/install/bin/add-menu --menu       \
    --pre pre-setup-services-cups-menu \
    setup.services.menu                \
    setup.services.cups.menu           \
    "CUPS - Common UNIX Printing System"

# ---------------------------------------------------------------------------
# Create config
# ---------------------------------------------------------------------------
if [ -f /etc/config.d/cups ]
then
    update=true
fi

/var/install/config.d/cups-update.sh
/usr/bin/rm -f /var/install/config.d/cups-update.sh

# ---------------------------------------------------------------------------
# start configuration
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/cups.sh --quiet
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
